### Function

# GimpUi prop_spin_scale_new

#### Declaration [src]

    GtkWidget*
    gimp_prop_spin_scale_new (
      GObject* config,
      const gchar* property_name,
      gdouble step_increment,
      gdouble page_increment,
      gint digits
    )

#### Description [src]

Creates a spin scale to set and display the value of the specified int or double property.

By default, the `property_name`‘s nick will be used as label of the returned widget. Use `gimp_spin_scale_set_label()` to change this.

If you wish to change the widget’s range relatively to the `property_name`‘s range, use gimp_prop_widget_set_factor().

Available since: | 3.0

#### Parameters

`config` | `GObject`
| Object to which property is attached.
| The data is owned by the caller of the function.
`property_name` | `const gchar*`
| Name of double or int property controlled by the spin button.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`step_increment` | `gdouble`
| Step size.
`page_increment` | `gdouble`
| Page size.
`digits` | `gint`
| Number of digits after decimal point to display. This is only used for double properties. In case of int properties, `digits = 0` is implied.

#### Return value

Returns: | `GtkWidget`
| A new #libgimpwidgets-gimpspinbutton.
| The caller of the function takes ownership of the data, and is responsible for freeing it.